| Home · All Classes · All Namespaces · Modules · Functions · Files

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

### - a -

- actor : Tp::LocalPendingInfo
- address : Tp::SocketAddressIP , Tp::SocketAddressIPv6 , Tp::SocketNetmaskIPv4 , Tp::SocketNetmaskIPv6 , Tp::SocketAddressIPv4
- alias : Tp::AliasPair
- allowedProperties : Tp::RequestableChannelClass
- avatarData : Tp::Avatar

### - c -

- canHaveMessage : Tp::SimpleStatusSpec
- capabilities : Tp::HandlerCapabilities
- channel : Tp::ChannelInfo , Tp::ChannelDetails
- channelClasses : Tp::HandlerCapabilities
- channelType : Tp::ChannelInfo , Tp::ContactCapability , Tp::RoomInfo , Tp::CapabilityPair , Tp::CapabilityChange
- clockRate : Tp::MediaStreamHandlerCodec
- codecID : Tp::MediaStreamHandlerCodec
- componentNumber : Tp::MediaStreamHandlerTransport
- contact : Tp::MediaStreamInfo

### - d -

- d : Tp::WeakData
- defaultValue : Tp::ParamSpec
- detail : Tp::RichPresenceAccessControl
- direction : Tp::MediaStreamInfo

### - e -

- exclusive : Tp::StatusSpec

### - f -

- FeatureAvatar : Tp::Account
- FeatureChatState : Tp::TextChannel
- FeatureConferenceInitialInviteeContacts : Tp::Channel
- FeatureContents : Tp::StreamedMediaChannel
- FeatureCore : Tp::ChannelRequest , Tp::Channel , Tp::AccountManager , Tp::ConnectionManager , Tp::Connection , Tp::Account , Tp::FileTransferChannel , Tp::IncomingFileTransferChannel , Tp::ChannelDispatchOperation , Tp::OutgoingFileTransferChannel
- FeatureLocalHoldState : Tp::StreamedMediaChannel
- FeatureMessageCapabilities : Tp::TextChannel
- FeatureMessageQueue : Tp::TextChannel
- FeatureMessageSentSignal : Tp::TextChannel
- FeatureProtocolInfo : Tp::Account
- FeatureRoster : Tp::Connection
- FeatureRosterGroups : Tp::Connection
- FeatureSelfContact : Tp::Connection
- FeatureSimplePresence : Tp::Connection
- FeatureStreams : Tp::StreamedMediaChannel
- fixedProperties : Tp::RequestableChannelClass
- flags : Tp::ParamSpec , Tp::PendingTextMessage , Tp::PropertySpec

### - g -

- genericFlags : Tp::ContactCapability

### - h -

- handle : Tp::AliasPair , Tp::CapabilityChange , Tp::RoomInfo , Tp::DBusTubeMember , Tp::ContactCapability , Tp::ChannelInfo
- handleType : Tp::ChannelInfo

### - i -

- identifier : Tp::MediaStreamInfo , Tp::PendingTextMessage , Tp::TubeInfo , Tp::PropertyValue
- info : Tp::RoomInfo
- initiator : Tp::TubeInfo
- IPAddress : Tp::MediaStreamHandlerTransport

### - l -

- lastActivity : Tp::LastActivityAndStatuses

### - m -

- maySetOnSelf : Tp::SimpleStatusSpec , Tp::StatusSpec
- mediaSessionType : Tp::MediaSessionHandlerInfo
- mediaType : Tp::MediaStreamHandlerCodec
- message : Tp::LocalPendingInfo
- messageType : Tp::PendingTextMessage
- MIMEType : Tp::Avatar

### - n -

- name : Tp::ParamSpec , Tp::PropertySpec , Tp::MediaStreamHandlerCodec , Tp::MediaStreamHandlerCandidate
- newFlags : Tp::PropertyFlagsChange
- newGenericFlags : Tp::CapabilityChange
- newTypeSpecificFlags : Tp::CapabilityChange
- numberOfChannels : Tp::MediaStreamHandlerCodec

### - o -

- oldGenericFlags : Tp::CapabilityChange
- oldTypeSpecificFlags : Tp::CapabilityChange

### - p -

- parameters : Tp::TubeInfo , Tp::MediaStreamHandlerCodec
- parameterTypes : Tp::StatusSpec
- password : Tp::MediaStreamHandlerTransport
- pendingSendFlags : Tp::MediaStreamInfo
- port : Tp::SocketAddressIPv4 , Tp::SocketAddressIPv6 , Tp::MediaStreamHandlerTransport , Tp::SocketAddressIP
- preferenceValue : Tp::MediaStreamHandlerTransport
- prefixLength : Tp::SocketNetmaskIPv4 , Tp::SocketNetmaskIPv6
- profile : Tp::MediaStreamHandlerTransport
- properties : Tp::ChannelDetails
- propertyID : Tp::PropertySpec , Tp::PropertyFlagsChange
- protocol : Tp::MediaStreamHandlerTransport

### - r -

- reason : Tp::LocalPendingInfo

### - s -

- sender : Tp::PendingTextMessage
- service : Tp::TubeInfo
- sessionHandler : Tp::MediaSessionHandlerInfo
- signature : Tp::ParamSpec , Tp::PropertySpec
- state : Tp::MediaStreamInfo , Tp::TubeInfo
- status : Tp::SimplePresence
- statuses : Tp::LastActivityAndStatuses
- statusMessage : Tp::SimplePresence
- strongref : Tp::RefCounted
- subtype : Tp::MediaStreamHandlerTransport

### - t -

- text : Tp::PendingTextMessage
- toBeAdded : Tp::LocalPendingInfo
- transports : Tp::MediaStreamHandlerCandidate
- transportType : Tp::MediaStreamHandlerTransport
- type : Tp::TubeInfo , Tp::StatusSpec , Tp::SimplePresence , Tp::SimpleStatusSpec , Tp::MediaStreamInfo , Tp::RichPresenceAccessControl
- typeSpecificFlags : Tp::ContactCapability , Tp::CapabilityPair

### - u -

- uniqueName : Tp::DBusTubeMember
- unixTimestamp : Tp::PendingTextMessage
- username : Tp::MediaStreamHandlerTransport

### - v -

- value : Tp::PropertyValue

### - w -

- wd : Tp::RefCounted
- weakref : Tp::WeakData
- wellKnownName : Tp::HandlerCapabilities